define([
    'jquery',
    'mage/translate',
    'upsellProducts'
], function($, $t) {
    'use strict';

    function getUpsellContent(url) {
        $.ajax({
            url: url,
            dataType: 'html',
            cache: false,
        }).done(function (data) {

            data = JSON.parse(data);

            $('#exttargetrule-upsells-container').html(data.content).trigger('contentUpdated');

        });
    }

    return function (config, element) {
        getUpsellContent(config.upsellAjaxUrl);
    };
});